:host {
  display: block;
  --background-gradient: linear-gradient(180deg, #86cdca 0%, #ade4e1 100%);
  // --background-gradient: linear-gradient(180deg, #1c5254 0%, #1c4354 100%);

}

.g-ssc {
  color: white;
  position: relative;
  height: 268px;
  perspective: 1000px;
  background: transparent;
  margin: 1rem auto 1rem auto;

  @media (max-width: 576px) {
    width: 100%;
  }
  .g-ssc-inner {
    margin: 0 auto;
    height: 100%;
    width: 100%;
    transition: transform 0.8s;
    transform-style: preserve-3d;
    position: relative;
    display: flex;
    align-content: center;
    justify-content: center;
    align-content: center;
    .g-ssc-card-front {
      perspective: 1000px;
      transition: transform 0.8s;
      transform-style: preserve-3d;
      padding: 1em 1.5em 1em;
      height: 268px;
      width: 100%;
      max-width: 388px;
      border-radius: 14.5px;
      background: var(--background-gradient);
      @media (max-width: 576px) {
        width: 90%;
        padding: 1em .5em 1em;
      }
      .g-ssc-header {
        .g-ssc-header-wrapper {
          display: flex;
          align-items: center;
          justify-content: space-between;
          .g-ssc-header-inner {
            display: flex;
            align-items: center;
            ion-img {
              width: auto;
              height: 35px;
              margin-right: 1em;
            }
            ion-text {
              h2 {
                margin: 0;
                font-weight: 700;
                font-size: 16px;
                color: var(--ion-color-gray8) !important;
              }
              p {
                margin: 0;
                font-weight: 400;
                font-size: 13px;
                line-height: 130%;
                color: var(--ion-color-gray8) !important;
              }
            }
          }
          ion-button {
            margin-left: auto;
            --box-shadow: none;
            ion-icon {
              font-size: 24px;
              color: var(--ion-color-gray9);

            }
          }
        }
      }
      .g-ssc-content {
        margin-top: .5em;
        ion-col {
          h2 {
            margin: .5em 0 0;
            font-weight: 500;
            font-size: 12px;
            line-height: 120%;
            letter-spacing: 0.04em;
            text-transform: uppercase;
            color: var(--ion-color-gray8);
            // color: rgba(255, 255, 255, 0.6);
          }
          h3 {
            margin: .2em 0 0;
            font-style: italic;
            font-weight: 500;
            font-size: 9px;
            line-height: 120%;
            letter-spacing: 0.04em;
            text-transform: uppercase;
            color: var(--ion-color-gray8);
            // color: rgba(255, 255, 255, 0.6);
          }
          p {
            margin: .5em 0 0;
            font-weight: 600;

            font-size: 14px;
            line-height: 140%;
            text-transform: uppercase;
            color: var(--ion-color-gray7);

            @media (max-width: 576px) {
              font-size: 13px;
            }
          }
        }
      }
    }
    .g-ssc-card-back {
      position: absolute;
      -webkit-backface-visibility: hidden;
      backface-visibility: hidden;
      transform: rotateY(180deg);
      padding: 1em 1.5em 0;
      height: 268px;
      max-width: 388px;
      width: 100%;
      border-radius: 14.5px;
      background: var(--background-gradient);
      @media (max-width: 576px) {
        width: 90%;
        padding: 1em .5em 1em;
      }
      &::before {
        content: "";
        position: absolute;
        width: 100%;
        left: 0;
        bottom: 3em;
        height: 45px;
        background-color: #4a7573;
      }
      .g-ssc-header {
        margin: 0;
        padding: 0;
        .g-ssc-header-wrapper {
          display: flex;
          align-items: center;
          justify-content: space-between;
          .g-ssc-header-inner {
            ion-img {
              width: 119px;
              height: 35px;
              // filter: brightness(15%);
            }
            ion-text {
              h2 {
                margin: 0;
                font-weight: 700;
                font-size: 16px;
                color: var(--ion-color-gray8) !important;
              }
              p {
                margin: 0;
                font-weight: 400;
                font-size: 13px;
                line-height: 130%;
                color: var(--ion-color-gray8) !important;
              }
            }
          }
          ion-button {
            margin-left: auto;
            --box-shadow: none;
            ion-icon {
              font-size: 24px;
              color: var(--ion-color-gray9);

            }
          }
        }
      }
      .g-ssc-content {
        margin-top: .5em;
        ion-col {
          h2 {
            margin: .5em 0 0;
            font-weight: 500;
            font-size: 12px;
            line-height: 120%;
            letter-spacing: 0.04em;
            text-transform: uppercase;
            color: var(--ion-color-gray8);
            // color: rgba(255, 255, 255, 0.6);
          }
          h3 {
            margin: .2em 0 0;
            font-style: italic;
            font-weight: 500;
            font-size: 9px;
            line-height: 120%;
            letter-spacing: 0.04em;
            text-transform: uppercase;
            color: var(--ion-color-gray8);
            // color: rgba(255, 255, 255, 0.6);
          }
          p {
            margin: .5em 0 0;
            font-weight: 600;
            font-size: 14px;
            line-height: 140%;
            text-transform: uppercase;
            color: var(--ion-color-gray7);
          }
        }
      }
    }
  }
  .g-flipped-card {
    transform: rotateY(180deg);
  }
}


.g-scc-number {
  display: flex;
  align-items: center;
}

.g-scc-number > div:first-of-type {
  margin-right: 1rem;
}
